Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Query Parameters

page
integer<int32>

The page number to request (1 based)

Required range: x >= 1
Example:

1

size
integer<int32>

The number of results to return in a page

Required range: x <= 500
Example:

10

personIDs
string<uuid>[]

The list of persons that will be returned

The list of persons that will be returned

includeShipment
boolean

Include shipment data in the response

startDate
string<date-time>

UTC Date-time to filter orders created after (ISO-8601 without timezone)

Example:

"2007-12-03T10:15:30"

endDate
string<date-time>

UTC Date-time to filter orders created before (ISO-8601 without timezone)

Example:

"2007-12-03T10:15:30"

status
enum<string>[]

Filter by the return order's status.

Filter by the return order's status.

Available options:
PENDING,
PROCESSING,
COMPLETED,
RETURN_KIT_SENT,
RETURN_KIT_DELIVERED,
RETURN_KIT_SENT_BACK,
RECEIVED_IN_WAREHOUSE,
RETURNED,
NOT_RETURNED,
SUBMITTED,
CANCELLED,
NONE,
CONFIRMED,
PARTIALLY_COMPLETED,
NOT_COMPLETED,
PENDING,
PROCESSING,
COMPLETED,
RETURN_KIT_DELIVERED,
RETURN_KIT_SENT_BACK,
RECEIVED_IN_WAREHOUSE,
RETURNED,
NOT_RETURNED,
SUBMITTED,
CANCELLED,
NONE,
CONFIRMED,
PARTIALLY_COMPLETED,
NOT_COMPLETED
returnKitStatus
enum<string>[]

Filter by retrieval method (return kit) statuses.

Filter by retrieval method (return kit) statuses.

Available options:
REQUESTED,
PROCESSED,
CANCELLED,
LABEL_CREATED,
SHIPPED,
DELIVERED,
SENT_BACK,
ARRIVED_AT_PROCESSING_FACILITY,
DELIVERY_EXCEPTION,
NOT_PROCESSED,
PARTIALLY_PROCESSED,
SCHEDULING_PICK_UP,
REQUESTED,
PROCESSED,
CANCELLED,
LABEL_CREATED,
SHIPPED,
DELIVERED,
SENT_BACK,
ARRIVED_AT_PROCESSING_FACILITY,
DELIVERY_EXCEPTION,
NOT_PROCESSED,
PARTIALLY_PROCESSED,
SCHEDULING_PICK_UP
submittedBy
string<uuid>[]

Filter by person IDs who submitted the return

Filter by person IDs who submitted the return

country
string[]

Filter by shipping address country codes

Filter by shipping address country codes

officeId
string<uuid>[]

Filter by office IDs (order's owning office)

Filter by office IDs (order's owning office)

vendorSku
string[]

Filter by vendor SKUs

Filter by vendor SKUs

skuId
string<uuid>[]

Filter by SKU IDs

Filter by SKU IDs

serialNumber
string[]

Filter by inventory serial numbers

Filter by inventory serial numbers

deliveryLocation
enum<string>[]

Filter by the return's delivery location (corresponds to the FE 'Delivery location' multi-select on the Returns page). Allowed values: FIRSTBASE, OFFICE, MULTIPLE.

Filter by the return's delivery location (corresponds to the FE 'Delivery location' multi-select on the Returns page). Allowed values: FIRSTBASE, OFFICE, MULTIPLE.

Available options:
OFFICE,
FIRSTBASE,
MULTIPLE,
FIRSTBASE,
OFFICE,
MULTIPLE
sortBy
string

Field to sort by (createdAt, updatedAt, country, deliveryLocation, status, person)

Example:

"createdAt"

sortDirection
string

Sort direction (ASC, DESC)

Example:

"DESC"

Response

Paginated list of return orders

id
string<uuid>
required

Return order ID

Example:

"ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4"

retrievals
object[]
required

Retrieval methods grouped by type. Always contains 4 entries: PL, RETURN_KIT, INBOUND, NOT_MAPPED

personId
string<uuid>

Person ID

Example:

"016fb454-066b-4ba5-9eca-a2fa14b7e7fc"

supportTicketId
integer<int64>

Support ticket ID

Example:

12345

createdAt
string<date>

Created date

Example:

"2025-11-26"

updatedAt
string<date>

Updated date

Example:

"2025-11-26"

confirmedAtTimestamp
string<date-time>

Confirmed timestamp (UTC)

Example:

"2025-11-27T10:15:00Z"

shippingAddress
object

Shipping address

status
enum<string>

Return order status

Available options:
PENDING,
PROCESSING,
COMPLETED,
RETURN_KIT_SENT,
RETURN_KIT_DELIVERED,
RETURN_KIT_SENT_BACK,
RECEIVED_IN_WAREHOUSE,
RETURNED,
NOT_RETURNED,
SUBMITTED,
CANCELLED,
NONE,
CONFIRMED,
PARTIALLY_COMPLETED,
NOT_COMPLETED
Example:

"CONFIRMED"

replacement
object

Replacement order if applicable

returnLifecycleType
enum<string>

Return lifecycle type

Available options:
ONE_OFF,
OFFBOARDING
Example:

"ONE_OFF"

submittedBy
object

Person who submitted the return order.

office
object

Office associated with the return, if any.

person
object

Affected person reference (sibling to legacy personId).

deliveryLocation
enum<string>

The return's delivery location (mirrors the FE Returns 'Delivery location' column). Allowed values: FIRSTBASE, OFFICE, MULTIPLE.

Available options:
FIRSTBASE,
OFFICE,
MULTIPLE